<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/siteadminaction.class.php" );
    lt_include( PLOG_CLASS_PATH."plugins/contentfilter/class/view/adminnewfilteredcontentview.class.php" );

    /**
     * Shows a form to add a new blocked content to the blog
     */
    class AdminNewFilteredContentAction extends AdminAction 
	{

    	function AdminNewFilteredContentAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );
        }

        function perform()
        {
        	$this->_view = new AdminNewFilteredContentView( $this->_blogInfo );
        	
            $this->setCommonData();

            return true;
        }
    }
?>
